Page MenuHomePhabricator

Improved error feedback for SVG thumbnail rendering
Closed, ResolvedPublic

Details

Reference
bz22195

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:51 PM
bzimport set Reference to bz22195.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 20 2010, 6:39 PM

Wikimedia purposefully doesn't render svgs which include another images (in this case it is including [[Image:Friesengebietblank.png]]).

(In reply to comment #1)

Wikimedia purposefully doesn't render svgs which include another images (in
this case it is including [[Image:Friesengebietblank.png]]).

Still, we could do with a less cryptic error message and not show a blank thumbnail in the wikitext (try previewing [[File:Fryskgebiet.svg|thumb]]).

The svg is rendered asynchronously to the page rendering, so I don't see a clean way to do it. Perhaps adding a broken flag to image table?

(In reply to comment #3)

The svg is rendered asynchronously to the page rendering, so I don't see a
clean way to do it. Perhaps adding a broken flag to image table?

Yeah whatever code generates the thumbnail URL could notice the thumbnail is broken (somehow, maybe with that flag, maybe otherwise) and use client-side scaling instead.

We could change the g_error with a return NULL. Hopefully that would just render everything but the image.

However, reusers would be vulnerable.

http://svn.wikimedia.org/viewvc/mediawiki/trunk/debs/librsvg2/debian/patches/no-external-files.patch?view=markup

TheDJ added a comment.Nov 4 2010, 4:23 AM

Renaming this bug to be specifically about the error feedback.

The issue itself with external images is covered by bug 3537

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:15 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:15 PM
demon removed a subscriber: demon.Mar 9 2017, 9:38 PM
Restricted Application added a project: Commons. · View Herald TranscriptMar 9 2017, 9:38 PM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 6:01 PM
jijiki closed this task as Resolved.Feb 22 2019, 6:51 PM
jijiki claimed this task.
jijiki added a subscriber: jijiki.

Please reopen if needed.